#!/bin/sh
#
img=$1
path=${img%/*}
log="$path/boot.log"
if [ ! -e "$log" ]; then
	touch "$log"
	echo "MOS: system messages" >> "$log"
	dmesg -c >> "$log"
	sync
	echo "MOS: cat /proc/cpuinfo" >> "$log"
	cat /proc/cpuinfo >> "$log"
	echo "MOS: cat /proc/meminfo" >> "$log"
	cat /proc/meminfo >> "$log"
	echo "MOS: df" >> "$log"
	df -h >> "$log"
	echo "MOS: fdisk" >> "$log"
	fdisk -l >> "$log"
	echo "MOS: ifconfig" >> "$log"
	ifconfig >> "$log"
	sync
fi
